//------------------------------------------------------------------------------------
// irr::scene::IParticleCylinderEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleCylinderEmitter_setCenter( IParticleCylinderEmitter* pe, vector3df* center )
	{
		if (pe) {
			pe->setCenter(*center);
		}
	}

	void IrrScene_IParticleCylinderEmitter_setNormal( IParticleCylinderEmitter* pe, vector3df* normal )
	{
		if (pe) {
			pe->setNormal(*normal);
		}
	}

	void IrrScene_IParticleCylinderEmitter_setRadius( IParticleCylinderEmitter* pe,f32 radius )
	{
		if (pe) {
			pe->setRadius(radius);
		}
	}

	void IrrScene_IParticleCylinderEmitter_setLength( IParticleCylinderEmitter* pe,f32 length )
	{
		if (pe) {
			pe->setLength(length);
		}
	}

	void IrrScene_IParticleCylinderEmitter_setOutlineOnly( IParticleCylinderEmitter* pe,bool outlineOnly = true )
	{
		if (pe) {
			pe->setOutlineOnly(outlineOnly);
		}
	}

	// must delete
	vector3df* IrrScene_IParticleCylinderEmitter_getCenter(IParticleCylinderEmitter* pe)
	{
		if (pe) {
			return new vector3df(pe->getCenter());
		} else return 0;
	}

	// must delete
	vector3df* IrrScene_IParticleCylinderEmitter_getNormal(IParticleCylinderEmitter* pe)
	{
		if (pe) {
			return new vector3df(pe->getNormal());
		} else return 0;
	}

	f32 IrrScene_IParticleCylinderEmitter_getRadius(IParticleCylinderEmitter* pe)
	{
		if (pe) {
			return pe->getRadius();
		} else return 0.0;
	}

	f32 IrrScene_IParticleCylinderEmitter_getLength(IParticleCylinderEmitter* pe)
	{
		if (pe) {
			return pe->getLength();
		} else return 0.0;
	}

	bool IrrScene_IParticleCylinderEmitter_getOutlineOnly(IParticleCylinderEmitter* pe)
	{
		if (pe) {
			return pe->getOutlineOnly();
		} else return false;
	}

}

